#ifndef tokens_h
#define tokens_h
/* tokens.h -- List of labelled tokens and stuff
 *
 * Generated from: GdbValue.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-1994
 * Purdue University Electrical Engineering
 * ANTLR Version 1.33
 */
#define zzEOF_TOKEN 1
#define Eof 1
#define STRING 2
#define FUNCTION_NAME 7
#define LCURLYBRACE 13
#define RCURLYBRACE 14
#define LSQUAREBRACKET 15
#define RSQUAREBRACKET 16
#define LPARENTHESIS 17
#define RPARENTHESIS 18
#define DOUBLECOLON 19
#define SEMICOLON 20
#define EQUAL 21
#define STAR 22
#define AMPERSAND 23
#define COMMA 24
#define LESSTHAN 25
#define GREATERTHAN 26
#define DOTS 27
#define CONST 28
#define VOLATILE 29
#define UNSIGNED 30
#define CHAR 31
#define SHORT 32
#define INT 33
#define LONG 34
#define FLOAT 35
#define DOUBLE 36
#define STRUCT 37
#define UNION 38
#define ENUM 39
#define CLASS 40
#define VOID 41
#define NO_ARGUMENTS 42
#define NO_LOCALS 43
#define NO_SYMBOL_TABLE 44
#define IDENTIFIER 45
#define CHARACTER 46
#define OCTALINT 47
#define DECIMALINT 48
#define HEXADECIMALINT 49
#define FLOATONE 50
#define FLOATTWO 51
#define FLOATTHREE 52

#ifdef __STDC__
extern  id   variables(void);
#else
extern  id   variables();
#endif

#ifdef __STDC__
extern  id   variable(void);
#else
extern  id   variable();
#endif

#ifdef __STDC__
extern  id   typed_value(void);
#else
extern  id   typed_value();
#endif

#ifdef __STDC__
extern  id   type(void);
#else
extern  id   type();
#endif

#ifdef __STDC__
extern  id   ptype(void);
#else
extern  id   ptype();
#endif

#ifdef __STDC__
void abs_decl( id type );
#else
extern void abs_decl();
#endif

#ifdef __STDC__
void direct_abs_decl( id type );
#else
extern void direct_abs_decl();
#endif

#ifdef __STDC__
void rest_of_direct_abs_decl( id type );
#else
extern void rest_of_direct_abs_decl();
#endif

#ifdef __STDC__
void array_mod( id type );
#else
extern void array_mod();
#endif

#ifdef __STDC__
void func_mod( id typeObj );
#else
extern void func_mod();
#endif

#ifdef __STDC__
extern  id   typebase(void);
#else
extern  id   typebase();
#endif

#ifdef __STDC__
extern  id   value( id type );
#else
extern  id   value();
#endif

#ifdef __STDC__
extern  id   descriptive_value(void);
#else
extern  id   descriptive_value();
#endif

#ifdef __STDC__
extern  id   number( id type );
#else
extern  id   number();
#endif

#ifdef __STDC__
extern  id   int_number( id type );
#else
extern  id   int_number();
#endif

#ifdef __STDC__
void compound_value( id components );
#else
extern void compound_value();
#endif

#ifdef __STDC__
extern  id   variable_or_typed_value(void);
#else
extern  id   variable_or_typed_value();
#endif

#ifdef __STDC__
extern  id   identifier(void);
#else
extern  id   identifier();
#endif

#endif
extern SetWordType zzerr1[];
extern SetWordType zzerr2[];
extern SetWordType setwd1[];
extern SetWordType zzerr3[];
extern SetWordType zzerr4[];
extern SetWordType zzerr5[];
extern SetWordType zzerr6[];
extern SetWordType setwd2[];
extern SetWordType zzerr7[];
extern SetWordType zzerr8[];
extern SetWordType setwd3[];
extern SetWordType zzerr9[];
extern SetWordType zzerr10[];
extern SetWordType zzerr11[];
extern SetWordType zzerr12[];
extern SetWordType zzerr13[];
extern SetWordType setwd4[];
extern SetWordType zzerr14[];
extern SetWordType zzerr15[];
extern SetWordType zzerr16[];
extern SetWordType zzerr17[];
extern SetWordType setwd5[];
extern SetWordType zzerr18[];
extern SetWordType setwd6[];
