/* Author Cristian Cserveny, 1994.
   Converted to the OpenStep version by Ovidiu Predescu, 1997.
*/

#import <AppKit/NSView.h>

@class NSMutableArray;

@interface InfoView : NSView
{
  NSMutableArray* images;
  NSImage* resultImage;
  int currentImageIndex;
  int tickNo;
  float xTile, yTile;
  NSPoint point;
  int imagesToDisplay;
}

- (void)showImageNumber:(int)index;
- (void)showAllImages;

- (void)addImageNamed:(NSString*)name;
- (void)addImage:(NSImage*)image;

- (void)drawRect:(NSRect)rect;
- (void)animateOneImage:(NSTimer*)timer;
- (void)animateAllImages:(NSTimer*)timer;

@end
